//created by https://www.mql5.com/ru/users/thejobber
//implementation of mql5.com/ru/forum/39978

#include <Trade\OrderInfo.mqh>
#include <Trade\Trade.mqh>
#include <Trade\SymbolInfo.mqh>

input ushort TP = 50;                   //-   ( 5       4)
input ushort SL = 100;                  //-
input ushort Deviations = 10;           //  
input ushort DistanceFromLastPrice = 40;//      -
input double Lot = 0.1;                 // 
input bool deleteSecondOrder = true;    //     ?

CTrade cTrade;
//ushort allowDeleteSecondOrder = 0;

int OnInit(){
    CSymbolInfo sInfo;
    sInfo.Name(_Symbol);
    sInfo.RefreshRates();        
    ushort multiplier=sInfo.Digits() % 2 ? 10 : 1;
    cTrade.SetDeviationInPoints(Deviations*multiplier);            
    if(cTrade.BuyStop (Lot,sInfo.Ask()+DistanceFromLastPrice*_Point*multiplier,NULL,sInfo.Ask()-SL*_Point*multiplier,sInfo.Ask()+TP*_Point*multiplier)&&
    cTrade.SellStop(Lot,sInfo.Bid()-DistanceFromLastPrice*_Point*multiplier,NULL,sInfo.Bid()+SL*_Point*multiplier,sInfo.Bid()-TP*_Point*multiplier))    
        return INIT_SUCCEEDED;     
    Alert("      ,    ");
    return INIT_FAILED;    
}

//void OnTrade(){ //   ,  -       ((           
//    Alert("   ");
//    COrderInfo oInfo;    
//    allowDeleteSecondOrder += 1;        
//    if(allowDeleteSecondOrder > 4 && deleteSecondOrder && oInfo.SelectByIndex(0) && cTrade.OrderDelete(oInfo.Ticket())){
//        cTrade.OrderDelete(oInfo.Ticket());
//        Alert("   .    ");
//        ExpertRemove();
//    }       
//}

void OnTick(){//       ))
    if(PositionSelect(_Symbol) && deleteSecondOrder){
        COrderInfo oInfo;
        oInfo.SelectByIndex(0);
        cTrade.OrderDelete(oInfo.Ticket());
    }
}